Mailinglist Archive: opensuse-security-announce (37 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:0424-1: important: Security update for php5
SUSE Security Update: Security update for php5
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0424-1
Rating: important
References: #917150 #918768
Cross-References: CVE-2014-9652 CVE-2015-0273
Affected Products:
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Module for Web Scripting 12
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

php5 was updated to fix two security issues.

These security issues were fixed:
- CVE-2014-9652: Out of bounds read in mconvert() (bnc#917150).
- CVE-2015-0273: Use after free vulnerability in unserialize() with
DateTimeZone (bnc#918768).


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-105=1

- SUSE Linux Enterprise Module for Web Scripting 12:

zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2015-105=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

php5-debuginfo-5.5.14-15.1
php5-debugsource-5.5.14-15.1
php5-devel-5.5.14-15.1

- SUSE Linux Enterprise Module for Web Scripting 12 (ppc64le s390x x86_64):

apache2-mod_php5-5.5.14-15.1
apache2-mod_php5-debuginfo-5.5.14-15.1
php5-5.5.14-15.1
php5-bcmath-5.5.14-15.1
php5-bcmath-debuginfo-5.5.14-15.1
php5-bz2-5.5.14-15.1
php5-bz2-debuginfo-5.5.14-15.1
php5-calendar-5.5.14-15.1
php5-calendar-debuginfo-5.5.14-15.1
php5-ctype-5.5.14-15.1
php5-ctype-debuginfo-5.5.14-15.1
php5-curl-5.5.14-15.1
php5-curl-debuginfo-5.5.14-15.1
php5-dba-5.5.14-15.1
php5-dba-debuginfo-5.5.14-15.1
php5-debuginfo-5.5.14-15.1
php5-debugsource-5.5.14-15.1
php5-dom-5.5.14-15.1
php5-dom-debuginfo-5.5.14-15.1
php5-enchant-5.5.14-15.1
php5-enchant-debuginfo-5.5.14-15.1
php5-exif-5.5.14-15.1
php5-exif-debuginfo-5.5.14-15.1
php5-fastcgi-5.5.14-15.1
php5-fastcgi-debuginfo-5.5.14-15.1
php5-fileinfo-5.5.14-15.1
php5-fileinfo-debuginfo-5.5.14-15.1
php5-fpm-5.5.14-15.1
php5-fpm-debuginfo-5.5.14-15.1
php5-ftp-5.5.14-15.1
php5-ftp-debuginfo-5.5.14-15.1
php5-gd-5.5.14-15.1
php5-gd-debuginfo-5.5.14-15.1
php5-gettext-5.5.14-15.1
php5-gettext-debuginfo-5.5.14-15.1
php5-gmp-5.5.14-15.1
php5-gmp-debuginfo-5.5.14-15.1
php5-iconv-5.5.14-15.1
php5-iconv-debuginfo-5.5.14-15.1
php5-intl-5.5.14-15.1
php5-intl-debuginfo-5.5.14-15.1
php5-json-5.5.14-15.1
php5-json-debuginfo-5.5.14-15.1
php5-ldap-5.5.14-15.1
php5-ldap-debuginfo-5.5.14-15.1
php5-mbstring-5.5.14-15.1
php5-mbstring-debuginfo-5.5.14-15.1
php5-mcrypt-5.5.14-15.1
php5-mcrypt-debuginfo-5.5.14-15.1
php5-mysql-5.5.14-15.1
php5-mysql-debuginfo-5.5.14-15.1
php5-odbc-5.5.14-15.1
php5-odbc-debuginfo-5.5.14-15.1
php5-openssl-5.5.14-15.1
php5-openssl-debuginfo-5.5.14-15.1
php5-pcntl-5.5.14-15.1
php5-pcntl-debuginfo-5.5.14-15.1
php5-pdo-5.5.14-15.1
php5-pdo-debuginfo-5.5.14-15.1
php5-pgsql-5.5.14-15.1
php5-pgsql-debuginfo-5.5.14-15.1
php5-pspell-5.5.14-15.1
php5-pspell-debuginfo-5.5.14-15.1
php5-shmop-5.5.14-15.1
php5-shmop-debuginfo-5.5.14-15.1
php5-snmp-5.5.14-15.1
php5-snmp-debuginfo-5.5.14-15.1
php5-soap-5.5.14-15.1
php5-soap-debuginfo-5.5.14-15.1
php5-sockets-5.5.14-15.1
php5-sockets-debuginfo-5.5.14-15.1
php5-sqlite-5.5.14-15.1
php5-sqlite-debuginfo-5.5.14-15.1
php5-suhosin-5.5.14-15.1
php5-suhosin-debuginfo-5.5.14-15.1
php5-sysvmsg-5.5.14-15.1
php5-sysvmsg-debuginfo-5.5.14-15.1
php5-sysvsem-5.5.14-15.1
php5-sysvsem-debuginfo-5.5.14-15.1
php5-sysvshm-5.5.14-15.1
php5-sysvshm-debuginfo-5.5.14-15.1
php5-tokenizer-5.5.14-15.1
php5-tokenizer-debuginfo-5.5.14-15.1
php5-wddx-5.5.14-15.1
php5-wddx-debuginfo-5.5.14-15.1
php5-xmlreader-5.5.14-15.1
php5-xmlreader-debuginfo-5.5.14-15.1
php5-xmlrpc-5.5.14-15.1
php5-xmlrpc-debuginfo-5.5.14-15.1
php5-xmlwriter-5.5.14-15.1
php5-xmlwriter-debuginfo-5.5.14-15.1
php5-xsl-5.5.14-15.1
php5-xsl-debuginfo-5.5.14-15.1
php5-zip-5.5.14-15.1
php5-zip-debuginfo-5.5.14-15.1
php5-zlib-5.5.14-15.1
php5-zlib-debuginfo-5.5.14-15.1

- SUSE Linux Enterprise Module for Web Scripting 12 (noarch):

php5-pear-5.5.14-15.1


References:

http://support.novell.com/security/cve/CVE-2014-9652.html
http://support.novell.com/security/cve/CVE-2015-0273.html
https://bugzilla.suse.com/917150
https://bugzilla.suse.com/918768

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages